Bug 193761 - Regression(PSON) Back/Forward list items' URL sometimes gets replaced with the URL of a subframe
Summary: Regression(PSON) Back/Forward list items' URL sometimes gets replaced with th...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-01-23 21:38 PST by Chris Dumez
Modified: 2019-01-25 15:18 PST (History)
6 users (show)

See Also:


Attachments
Patch (7.95 KB, patch)
2019-01-23 21:54 PST, Chris Dumez
achristensen: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2019-01-23 21:38:10 PST
Back/Forward list items' URL sometimes gets replaced with the URL of a subframe when PSON is enabled.
Comment 1 Chris Dumez 2019-01-23 21:38:28 PST
<rdar://problem/47456405>
Comment 2 Chris Dumez 2019-01-23 21:54:45 PST
Created attachment 359994 [details]
Patch
Comment 3 EWS Watchlist 2019-01-23 21:57:08 PST
Attachment 359994 [details] did not pass style-queue:


ERROR: Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:2066:  Multi-line string ("...") found.  This lint script doesn't do well with such strings, and may give bogus warnings.  They're ugly and unnecessary, and you should use concatenation instead".  [readability/multiline_string] [5]
ERROR: Tools/TestWebKitAPI/Tests/WebKitCocoa/ProcessSwapOnNavigation.mm:2071:  Multi-line string ("...") found.  This lint script doesn't do well with such strings, and may give bogus warnings.  They're ugly and unnecessary, and you should use concatenation instead".  [readability/multiline_string] [5]
Total errors found: 2 in 4 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Alex Christensen 2019-01-24 10:24:18 PST
Comment on attachment 359994 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359994&action=review

> Tools/ChangeLog:9
> +        Add layout test coverage.

API
Comment 5 Chris Dumez 2019-01-24 10:30:48 PST
Committed r240442: <https://trac.webkit.org/changeset/240442>